/* board.h - Board-specific hooks */

/*
 * Copyright (c) 2017 Intel Corporation
 * Additional Copyright (c) 2018 Espressif Systems (Shanghai) PTE LTD
 *
 * SPDX-License-Identifier: Apache-2.0
 */
#ifndef _BOARD_H_
#define _BOARD_H_

#include "driver/gpio.h"

#if defined(CONFIG_BLE_MESH_ESP_WROOM_32)
#define LED_R GPIO_NUM_25
#define LED_G GPIO_NUM_33
#define LED_B GPIO_NUM_27
#define INPUT GPIO_NUM_4
#define SENSOR_TOGGLE GPIO_NUM_2
#elif defined(CONFIG_BLE_MESH_ESP_WROVER)
#define LED_R GPIO_NUM_0
#define LED_G GPIO_NUM_2
#define LED_B GPIO_NUM_4
#elif defined(CONFIG_BLE_MESH_ESP32C3_DEV)
#define LED_R GPIO_NUM_8
#define LED_G GPIO_NUM_8
#define LED_B GPIO_NUM_8
#endif

#define LED_ON  1
#define LED_OFF 0

#define MOTION_FOUND 1
#define MOTION_NOT_FOUND 0

#define ESP_INTR_FLAG_DEFAULT 0

struct _led_state {
    uint8_t current;
    uint8_t previous;
    uint8_t pin;
    char *name;
};

struct _motion_state {	
	int8_t previous;
	uint8_t pin;
};

int8_t get_sensor_state(void);

void board_led_operation(uint8_t pin, uint8_t onoff);
void board_init(void);
void change_read_state(uint8_t state);

#endif
